Bug 667190 - Crash due to missing file in /tmp
Summary: Crash due to missing file in /tmp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: el6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-04 19:05 UTC by Garrett Holmstrom
Modified: 2013-01-10 06:24 UTC (History)
4 users (show)

Fixed In Version: mock-1.1.10-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 04:38:45 UTC


Attachments (Terms of Use)

Description Garrett Holmstrom 2011-01-04 19:05:33 UTC
Description of problem:
When rebuilding several packages in a row against epel-5-x86_64 on a RHEL 6 builder I get a backtrace.  This does not occur when I build the packages sequentially with different mock invocations.


Version-Release number of selected component (if applicable):
mock-1.1.7-1.el6.noarch


How reproducible:
mock -r epel-5-x86_64 --resultdir ~ euca2ools-1.3.2-0.1.bzr328.el5.src.rpm python26-boto-2.0.0.1.b3.el5.src.rpm python26-m2crypto-0.16-6.1.el5.1.src.rpm


Actual results:
gholms@mercury* ~/rpmbuild % rpmbuild -bs SPECS/*.spec && mock -r epel-5-x86_64 --resultdir ~ SRPMS/*.src.rpm
Wrote: /home/gholms/rpmbuild/SRPMS/euca2ools-1.3.2-0.1.bzr328.el6.src.rpm
Wrote: /home/gholms/rpmbuild/SRPMS/python26-boto-2.0-0.1.b3.el6.src.rpm
Wrote: /home/gholms/rpmbuild/SRPMS/python26-m2crypto-0.16-6.1.el6.1.src.rpm
INFO: mock.py version 1.1.7 starting...
State Changed: init plugins
INFO: selinux enabled
WARNING: selinux: 'yum' does not support '--setopt' option
State Changed: start
INFO: Start(SRPMS/euca2ools-1.3.2-0.1.bzr328.el6.src.rpm)  Config(epel-5-x86_64)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.7
INFO: Mock Version: 1.1.7
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(SRPMS/euca2ools-1.3.2-0.1.bzr328.el6.src.rpm) Config(epel-5-x86_64) 0 minutes 44 seconds
INFO: Results and/or logs in: /home/gholms
INFO: Start(SRPMS/python26-boto-2.0-0.1.b3.el6.src.rpm)  Config(epel-5-x86_64)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/epel-5-x86_64) unlocked and deleted
State Changed: init
State Changed: lock buildroot
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
ERROR: Exception(SRPMS/python26-boto-2.0-0.1.b3.el6.src.rpm) Config(epel-5-x86_64) 0 minutes 9 seconds
INFO: Results and/or logs in: /home/gholms
INFO: Cleaning up build root ('clean_on_failure=True')
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/epel-5-x86_64) unlocked and deleted
Traceback (most recent call last):
  File "/usr/sbin/mock", line 783, in <module>
    main(retParams)
  File "/usr/sbin/mock", line 725, in main
    do_rebuild(config_opts, chroot, args)
  File "<peak.util.decorators.rewrap wrapping __main__.do_rebuild at 0x0242A8C0>", line 3, in do_rebuild
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 418, in do_rebuild
    chroot.init()
  File "<peak.util.decorators.rewrap wrapping mock.backend.init at 0x023D01B8>", line 3, in init
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mock/backend.py", line 213, in init
    self._callHooks('initfailed')
  File "<peak.util.decorators.rewrap wrapping mock.backend._callHooks at 0x0242B578>", line 3, in _callHooks
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mock/backend.py", line 632, in _callHooks
    hook()
  File "<peak.util.decorators.rewrap wrapping selinux._selinuxPostBuildHook at 0x024492A8>", line 3, in _selinuxPostBuildHook
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mock/plugins/selinux.py", line 76, in _selinuxPostBuildHook
    os.unlink(self.filesystems)
OSError: [Errno 2] No such file or directory: '/tmp/mock-selinux-pluginQaylWD'



Expected results:
Successful build


Additional info:
I can provide the source RPMs if you wish.  I'm not sure if it's those packages in particular that cause it or not.

Comment 1 Clark Williams 2011-02-20 19:50:55 UTC
Ah this was an issue in the selinux plugin and should be fixed in the latest release.

Comment 2 Fedora Update System 2011-05-13 20:32:30 UTC
mock-1.1.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc15

Comment 3 Fedora Update System 2011-05-13 20:37:32 UTC
mock-1.1.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc14

Comment 4 Fedora Update System 2011-05-13 20:41:47 UTC
mock-1.0.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.17-1.el5

Comment 5 Fedora Update System 2011-05-13 20:46:00 UTC
mock-1.1.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc13

Comment 6 Fedora Update System 2011-05-13 20:50:15 UTC
mock-1.1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6

Comment 7 Fedora Update System 2011-05-14 00:02:24 UTC
Package mock-1.1.10-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.10-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-05-19 04:34:00 UTC
mock-1.1.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-05-25 02:41:19 UTC
mock-1.1.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-05-25 03:15:46 UTC
mock-1.1.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-02 19:05:30 UTC
mock-1.0.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-06-02 19:15:35 UTC
mock-1.1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.